export interface PaymentProfiles {
  id: number
  masked_card: string
  name: string
  card_holder: string
  expiry: string
  image: string
  is_default?: boolean
}

export interface PaymentProfileListOptions {
  language?: 'id' | 'en'
  isAddedSetDefault?: boolean
  actionColor?: string
  disableColor?: string
  boxShadow?: string
  selectedCardBackground?: string
  selectedCardBorder?: string
  selectable: boolean
}

export interface PaymentProfileListProps {
  paymentProfiles?: PaymentProfiles[] | string
  options?: PaymentProfileListOptions
  onSelectProfile: (profile: PaymentProfiles) => void
  onSetDefault: (profile: PaymentProfiles) => void
}
