import { Footer, FooterProps } from '../components/footer'
import type { Meta, StoryObj } from '@storybook/react'

const meta: Meta<FooterProps> = {
  title: 'Component/Footer',
  component: Footer,
  tags: ['autodocs']
}

export default meta

type Story = StoryObj<FooterProps>

export const Indonesia: Story = {
  args: {
    isonexternal: true,
    language: 'Indonesia',
    background: '#2f4858',
    includecopyright: true,
    isbilingualviaurl: false
  }
}

export const English: Story = {
  args: {
    isonexternal: true,
    language: 'English',
    background: '#2f4858',
    includecopyright: true,
    isbilingualviaurl: false
  }
}
